import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询检查标准列表
export function listStandards(query) {
  return request({
    url: baseUrl + '/business/standards/list',
    method: 'get',
    params: query
  })
}

// 查询检查标准详细
export function getStandards(id) {
  return request({
    url: baseUrl + '/business/standards/' + id,
    method: 'get'
  })
}

// 新增检查标准
export function addStandards(data) {
  return request({
    url: baseUrl + '/business/standards',
    method: 'post',
    data: data
  })
}

// 修改检查标准
export function updateStandards(data) {
  return request({
    url: baseUrl + '/business/standards',
    method: 'put',
    data: data
  })
}

// 删除检查标准
export function delStandards(id) {
  return request({
    url: baseUrl + '/business/standards/' + id,
    method: 'delete'
  })
}
